Bug 1311533 - python-django-haystack: Provide a Python 3 subpackage
python-django-haystack: Provide a Python 3 subpackage
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-django-haystack (Show other bugs)
25
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks: PYTHON3 PY3PATCH-AVAILABLE
  Show dependency treegraph
 
Reported: 2016-02-24 07:23 EST by Tomas Orsava
Modified: 2016-08-03 05:51 EDT (History)
4 users (show)

See Also:
Fixed In Version: python-django-haystack-2.5.0-1.fc26
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-03 05:51:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
spec diff (3.25 KB, patch)
2016-07-22 15:16 EDT, Jan Beran
no flags Details | Diff
updated spec file (5.13 KB, patch)
2016-07-22 15:19 EDT, Jan Beran
no flags Details | Diff
updated spec file (5.13 KB, patch)
2016-07-25 04:59 EDT, Jan Beran
no flags Details | Diff
Updated spec file (5.63 KB, patch)
2016-08-03 04:05 EDT, Jan Beran
no flags Details | Diff

  None (edit)
Description Tomas Orsava 2016-02-24 07:23:02 EST
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's fine to do this in Rawhide only.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Fedora Admin XMLRPC Client 2016-02-24 11:05:42 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2016-02-24 14:40:10 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Jan Beran 2016-07-22 05:02:30 EDT
Hi Matthias, would you agree when I prepare a Python 3 patch?
Comment 4 Matthias Runge 2016-07-22 05:12:07 EDT
Hi Jan, yes, please go ahead! 

Do you want commit acls? If yes, please request access in packagedb.
Any help is greatly appreciated.
Comment 5 Jan Beran 2016-07-22 10:39:31 EDT
I work on that.
Comment 6 Jan Beran 2016-07-22 15:16 EDT
Created attachment 1182933 [details]
spec diff

SPEC diff file attached.
Comment 7 Jan Beran 2016-07-22 15:19 EDT
Created attachment 1182934 [details]
updated spec file

Updated SPEC file attached.
Comment 8 Jan Beran 2016-07-25 04:59 EDT
Created attachment 1183638 [details]
updated spec file

Corrections in python2-django-haystack package:
python-django -> python2-django
python-sphinx -> python2-sphinx
Comment 9 Tomas Orsava 2016-07-25 12:23:46 EDT
Hi Jan!

The patch looks really good!

The only issue I could find was that there are two entries missing from the changelog—you should do a git pull before starting to edit. Thankfully, however, both entries are from a mass rebuild, so no changes were made to the actual contents of the spec file.
Comment 10 Jan Kurik 2016-07-26 00:22:36 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.
Comment 11 Jan Beran 2016-07-29 13:33:01 EDT
Hi Tomáš, thank you for the review. As no changes are required, I keep the patch unmodified.
Comment 12 Jan Beran 2016-08-01 08:49:38 EDT
Hi Matthias, the attached spec file is ready to provide the Python 3 subpackage.
Comment 13 Jan Beran 2016-08-03 04:05 EDT
Created attachment 1186977 [details]
Updated spec file

Hi Matthias,

I have updated the spec file according to your recommendation (bug #1311552). Would it be suitable?
Comment 14 Matthias Runge 2016-08-03 05:51:29 EDT
Jan, thank you, looks better. I just applied your patch.

Note You need to log in before you can comment on or make changes to this bug.